Subject: [alpine-aports] [PATCH] fix a race condition (bis)

From: "Jean-Charles de Longueville" <[email-masked]>
Date: Mon, 16 Mar 2015 18:43:42 +0100

I had states -j4 on on IRC I was told to set -j1...
---
 testing/nx-libs/APKBUILD | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/testing/nx-libs/APKBUILD b/testing/nx-libs/APKBUILD
index 4e9653e..2acb208 100644
--- a/testing/nx-libs/APKBUILD
+++ b/testing/nx-libs/APKBUILD
@@ -31,13 +31,13 @@ prepare() {
 
 build() {
 	cd "$_builddir"
-	make -j4 PREFIX=/usr USRLIBDIR=/usr/lib SHLIBDIR=/usr/lib CONFIGURE="./configure --prefix=/usr --libdir=/usr/lib --includedir=/usr/include" || return 1
+	make -j1 PREFIX=/usr USRLIBDIR=/usr/lib SHLIBDIR=/usr/lib CONFIGURE="./configure --prefix=/usr --libdir=/usr/lib --includedir=/usr/include" || return 1
 }
 
 package() {
 	cd "$_builddir"
         #find ./ -name Makefile | xargs sed -e 's#/usr/local#/usr#g' -i
-	make -j4 PREFIX=/usr DESTDIR="$pkgdir" USRLIBDIR=/usr/lib SHLIBDIR=/usr/lib install CONFIGURE="./configure --prefix=/usr --libdir=/usr/lib --includedir=/usr/include" || return 1
+	make -j1 PREFIX=/usr DESTDIR="$pkgdir" USRLIBDIR=/usr/lib SHLIBDIR=/usr/lib install CONFIGURE="./configure --prefix=/usr --libdir=/usr/lib --includedir=/usr/include" || return 1
 	rm -f "$pkgdir"/usr/lib/*.la
 }
 
-- 
2.3.2

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---